import { Component, Host, h, Prop } from '@stencil/core';
export class CbToastcontent {
  constructor() {
    this.toastTitle = 'Success';
    this.description = 'success message';
    this.type = 'success';
    this.closeToast = event => {
      event.target.parentNode.closest('cb-toastcontent').remove();
    };
    this.closeSvgIconPath = () => (h("path", { "fill-rule": "evenodd", d: "M10 18a8 8 0 100-16 8 8 0 000 16zM8.707 7.293a1 1 0 00-1.414 1.414L8.586 10l-1.293 1.293a1 1 0 101.414 1.414L10 11.414l1.293 1.293a1 1 0 001.414-1.414L11.414 10l1.293-1.293a1 1 0 00-1.414-1.414L10 8.586 8.707 7.293z", "clip-rule": "evenodd" }));
    this.buildToast = () => {
      console.log('Toast load build');
      let svgIcon = (h("svg", { class: "w-6 h-6 text-white fill-current", viewBox: "0 0 40 40", xmlns: "http://www.w3.org/2000/svg" }, this.typeIcon));
      if (this.type === 'info') {
        svgIcon = (h("svg", { class: "h-6 w-6 text-white pr-1", fill: "currentColor", viewBox: "0 0 20 20", xmlns: "http://www.w3.org/2000/svg" },
          h("path", { "fill-rule": "evenodd", d: "M18 10a8 8 0 11-16 0 8 8 0 0116 0zm-7-4a1 1 0 11-2 0 1 1 0 012 0zM9 9a1 1 0 000 2v3a1 1 0 001 1h1a1 1 0 100-2v-3a1 1 0 00-1-1H9z", "clip-rule": "evenodd" })));
      }
      return (h("div", { class: " transition-all duration-700  ease-in opacity-100   flex w-full max-w-sm mx-auto overflow-hidden bg-white rounded-lg shadow-md z-50 mt-4", ref: el => (this.el = el) },
        h("div", { class: this.typeBgColor + ' flex grow-0 items-center justify-center w-12' }, svgIcon),
        h("div", { class: "flex-grow w-72 px-4 py-2 -mx-3" },
          h("div", { class: "mx-3" },
            h("span", { class: this.typeTextColor + ' font-semibold' }, this.toastTitle),
            h("p", { class: "text-sm text-gray-600 " }, this.description))),
        h("div", { class: "flex items-start justify-center" },
          h("svg", { onClick: e => this.closeToast(e), class: this.typeTextColor + ' "w-6 h-6 fill-current cursor-pointer', viewBox: "0 0 20 20", xmlns: "http://www.w3.org/2000/svg" }, this.closeSvgIconPath()))));
    };
  }
  componentWillLoad() {
    console.log('will load');
    console.log(this.toastTitle);
  }
  componentDidLoad() {
    console.log('Did load');
  }
  render() {
    return h(Host, null, this.buildToast());
  }
  static get is() { return "cb-toastcontent"; }
  static get originalStyleUrls() { return {
    "$": ["cb-toastcontent.css"]
  }; }
  static get styleUrls() { return {
    "$": ["cb-toastcontent.css"]
  }; }
  static get properties() { return {
    "toastTitle": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "toast-title",
      "reflect": false,
      "defaultValue": "'Success'"
    },
    "description": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "description",
      "reflect": false,
      "defaultValue": "'success message'"
    },
    "type": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "type",
      "reflect": false,
      "defaultValue": "'success'"
    },
    "typeBgColor": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "type-bg-color",
      "reflect": false
    },
    "typeTextColor": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "type-text-color",
      "reflect": false
    },
    "typeIcon": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "type-icon",
      "reflect": false
    }
  }; }
}
